> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a webhook

> Delete a webhook by its heron_id. The webhook must belong to the authenticated user.




## OpenAPI

````yaml https://app.herondata.io/swagger delete /api/webhooks/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/webhooks/{heron_id}:
    delete:
      tags:
        - Webhooks
      summary: Delete a webhook
      description: >
        Delete a webhook by its heron_id. The webhook must belong to the
        authenticated user.
      parameters:
        - description: The heron_id of the webhook to delete
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '204':
          content:
            application/json:
              schema:
                properties:
                  heron_id:
                    description: The heron_id of the deleted webhook
                    type: string
                type: object
          description: Webhook successfully deleted
        '404':
          content:
            application/json:
              schema:
                properties:
                  description:
                    example: webhook with heron_id {heron_id} not found
                    type: string
                type: object
          description: Webhook not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````